Bug 120863 - (ACPI) kernel build fails with ACPI off
(ACPI) kernel build fails with ACPI off
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-14 13:21 EDT by Lee Olsen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 16:19:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lee Olsen 2004-04-14 13:21:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
arch/i386/kernel/kernel.o(.text.init+0x5cf8): In function
: undefined reference to `acpi_table_print_madt_entry'
arch/i386/kernel/kernel.o(.text.init+0x5d68): In function
: undefined reference to `acpi_table_print_madt_entry'
arch/i386/kernel/kernel.o(.text.init+0x5e90): In function
: undefined reference to `acpi_table_init'
arch/i386/kernel/kernel.o(.text.init+0x5ea9): In function
: undefined reference to `acpi_table_parse'
arch/i386/kernel/kernel.o(.text.init+0x5ed5): In function
: undefined reference to `acpi_table_parse_madt'
arch/i386/kernel/kernel.o(.text.init+0x5f0b): In function
: undefined reference to `acpi_table_parse_madt'
arch/i386/kernel/kernel.o(.text.init+0x5f2a): In function
: undefined reference to `acpi_table_parse_madt'
make[1]: *** [kallsyms] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.22-1.2174.nptl'
make: *** [vmlinux] Error 2

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.make xconfig (or menuconfig)
2. set ACPI to "n"
3.make bzImage

Actual Results:  Errors linking kernal.o listed above.

Expected Results:  creation of bzImage

Additional info:
Comment 1 Alan Cox 2004-05-02 20:51:52 EDT
Our kernel patches don't always work for config options we don't use.
2.6.x should be better as Fedora Core 2Test has a lot less
patching/backporting involved
Comment 2 David Lawrence 2004-09-29 16:19:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.